| OpenSubdiv OpenSubdiv

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
OpenSubdiv::OPENSUBDIV_VERSION::Vtr Namespace Reference

## Classes
class | Array
class | ConstArray

## Typedefs
typedef int | Index
typedef unsigned short | LocalIndex
typedef std::vector< Index > | IndexVector
typedef Array< Index > | IndexArray
typedef ConstArray< Index > | ConstIndexArray
typedef Array< LocalIndex > | LocalIndexArray
typedef ConstArray< LocalIndex > | ConstLocalIndexArray

## Functions
bool | IndexIsValid (Index index)

## Typedef Documentation

## ◆ ConstIndexArray

typedef ConstArray<Index> ConstIndexArray

Definition at line 80 of file types.h.

## ◆ ConstLocalIndexArray

typedef ConstArray<LocalIndex> ConstLocalIndexArray

Definition at line 83 of file types.h.

## ◆ Index

typedef int Index

Definition at line 54 of file types.h.

## ◆ IndexArray

typedef Array<Index> IndexArray

Definition at line 79 of file types.h.

## ◆ IndexVector

typedef std::vector<Index> IndexVector

Definition at line 77 of file types.h.

## ◆ LocalIndex

typedef unsigned short LocalIndex

Definition at line 66 of file types.h.

## ◆ LocalIndexArray

typedef Array<LocalIndex> LocalIndexArray

Definition at line 82 of file types.h.

## Function Documentation

## ◆ IndexIsValid()

bool IndexIsValid | ( | Index | index | ) |
| inline

Definition at line 58 of file types.h.